%define url_ver %(echo %{version} | cut -c 1-3)

Summary:	Xfce developer tools
Summary(de):	Xfce Enticklerwerkzeuge
Name:		xfce4-dev-tools
Version:	4.12.0
Release:	%mkrel 1
License:	GPLv2+
Group:		Graphical desktop/Xfce
URL:		http://www.xfce.org
Source0:	http://archive.xfce.org/src/xfce/xfce4-dev-tools/%{url_ver}/%{name}-%{version}.tar.xz
BuildRequires:	automake >= 1.10
BuildRequires:	intltool
BuildRequires:	glib2-devel
Requires:	intltool
Obsoletes:	xfce-dev-tools < %version-%release
Provides:	xfce-dev-tools = %version-%release
BuildRoot:	%{_tmppath}/%{name}-%{version}-buildroot

%description
This package contains common tools required by Xfce developers and people
that want to build Xfce from SVN. In addition, this package contains the
Xfce developer's handbook.

%description -l de
Dieses Paket beinhaltet gemeinsame Werkzeuge, die von Xfce Entwicklern und
Menschen, die Xfce vom SVN bauen wollen, benötigt werden. In Ergänzug dazu
ist ebenfalls das Xfce Entwicklerhandbuch beinhaltet.

%package doc
Summary: 	Documentation for %{name}
Summary(de):	Dokumentation für %{name}
Group: 		Documentation
Requires: 	%{name}

%description doc
Documentation for %{name}

%description doc -l de
Dokumentation für %{name}

%prep
%setup -q

./autogen.sh

%build
%configure2_5x
%make

%install
rm -rf %{buildroot}
%makeinstall_std

# don't ship .la
find %{buildroot} -name '*.la' -exec rm -f {} \;

# don't ship .a
find %{buildroot} -name '*.a' -exec rm -f {} \;

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%{_bindir}/*
%{_datadir}/xfce4/dev-tools

%files doc
%defattr(-,root,root)
%doc AUTHORS HACKING NEWS README


%changelog
* Sat Feb 28 2015 ghostbunny <ghostbunny at gmx dot de> 4.12.0-1pclos2015
- 4.12.0
- add missing BR glib2-devel

* Tue Feb 25 2014 ghostbunny <ghostbunny at gmx dot de> 4.11.0-1pclos2014
- 4.11.0
- change group of doc package to Documentation

* Tue Sep 11 2012 Neal <nealbrks0 at gmail dot com> 4.10.0-1pclos2012
- process for 64bit

* Fri Aug 31 2012 Neal <nealbrks0 at gmail dot com> 4.10.0-1pclos2012
- process

* Tue Aug 29 2012 ghostbunny <ghostbunny at gmx dot de> 4.10.0-1pclos2012
- 4.10.0
- added german summaries and descriptions
- fixed english summary of the doc package ("Documentation for openbox"??? -> "Documentation for %{name}")

* Sun Jan 01 2012 Sproggy <desproggster at gmail.com> 4.9.0-1pclos2012
- update

* Wed Jan 26 2011 Sproggy <desproggster@gmail.com> 4.8.0-1pclos2011
- update for xfce4.8

* Mon Nov 08 2010 Sproggy <desproggster@gmail.com> 4.7.3-2pclos2010
- 4.7.3 update for xfce4.8pre1
